@import url("reset.css");
@import url("https://fonts.googleapis.com/css?family=Plus+Jakarta+Sans:regular,500,700,800&display=swap");

* {
  scroll-behavior: smooth;
}
body {
  font-family: "Plus Jakarta Sans";
  color: #5E6282;
}

.wrapper {
  min-height: 100vh;
  overflow: clip;
  display: flex;
  flex-direction: column;
}

.wrapper > main {
  flex-grow: 1;
}

[class*="__container"] {
  max-width: 1230px;
  padding-left: 15px;
  padding-right: 15px;
  margin: 0 auto;
}

.page {
}
.page__hero {
  margin-bottom: 170px;
}
.page__features,
.page__services,
.page__reviews {
  margin-bottom: 200px;
}
.page__location {
  margin-bottom: 240px;
}

@media(max-width: 1200px) {
  .page__hero {
    margin-bottom: 100px;
  }
  .page__services,
  .page__features,
  .page__reviews,
  .page__location {
    margin-bottom: 100px;
  }
}
@media(max-width: 991.98px) {
  .page__hero {
    margin-bottom: 60px;
  }
  .page__services,
  .page__features,
  .page__reviews,
  .page__location  {
    margin-bottom: 60px;
  }
}
@media(max-width: 767.98px) {
  .page__hero{
    margin-bottom: 50px;
  }
  .page__services,
  .page__features,
  .page__reviews,
  .page__location  {
    margin-bottom: 50px;
  }
}
@media (max-width: 479.98px) {
  .page__hero{
    padding-top: 50px;
  }
}



.header-block {
  font-weight: 800;
}
.header-block--margin{
  margin-bottom: 90px;
}
.header-block__label {
  text-transform: uppercase;
  color: #4475F2;
  font-size: 18px;
  letter-spacing: 2px;
  line-height: 127.777778%; /* 23/18 */
}

.header-block__label:not(:last-child) {
  margin-bottom: 10px; /* Можна просто добавити відступи */
}

.header-block__title {
  color: #000;
  font-size: 48px;
  line-height: 135.416667%; /* 65/48 */
}
@media(max-width: 1200px) {
  .header-block--margin{
    margin-bottom: 70px;
  }
}
@media(max-width: 991.98px) {
  .header-block--margin{
    margin-bottom: 50px;
  }
  .header-block__label {
    font-size: 16px;
  }
  .header-block__title {
    font-size: 42px;
  }
}
@media(max-width: 767.98px) {
  .header-block--margin{
    margin-bottom: 40px;
  }
  .header-block__label {
    font-size: 14px;
  }
  .header-block__title {
    font-size: 36px;
  }
}
@media(max-width: 479.98px) {
  .header-block--margin{
    margin-bottom: 30px;
  }
  .header-block__title {
    font-size: 32px;
  }
}


/* Header__section */

.header {

  padding-top: 77px;
  position: relative;
  z-index: 50;
}


.header__container {
  display: flex;

  align-items: center;
 column-gap: 125px;
}

.header__logo {
  flex: 0 0 80px;
}
.header__logo img {
  max-width: 100%;
  max-height: 100%;
}

.header__menu {
  
}


.menu {
}
.menu__list {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  column-gap: 40px;
  row-gap: 13px;
}

.menu__item {
}
.menu__link {
  font-size: 14px;
  color: #9A9EA6;
  transition: color 0.3s;
  text-shadow: 0 0 1px #fff;
}
.menu__link:hover {
  color:#4737FF ;
}

@media(max-width: 991.98px){
  .header__container{
    column-gap: 50px;
  }
  .menu__list {
    column-gap: 20px;
  }
}
@media(max-width:479.98px) {
  .header {
    padding-top: 15px;
  }
  .header__container {
    flex-direction: column;
    align-items: center;
    row-gap: 20px;
  }
  .header__logo {
    max-width: 150px;
    flex: 0 0 auto;
  }
  .menu__link {
    font-size: 20px;
  }
  .menu__list {
    justify-content: center;
  }
}

/* Hero section */
.hero {
  padding-top: 62px;
  padding-bottom: 40px;
  position: relative;
}

.hero__container {
  display: flex;
}
@media (max-width: 1200px) {
  .hero__container {
    row-gap: 30px;
    flex-direction: column;
  }
}
.hero__container::before,
.hero__container::after {
  content: "";
  position: absolute;
  background-color: #4475f2;
  height: 150%;
  transform-origin: left bottom;
  box-shadow: 0 30px 60px 0 rgba(71,74,87,0.25);
  width: 200vw;
  border-radius: 55px;
  bottom: 0;
}



.hero__container::before{
  left: calc(50% + 31px);
  transform: skewX(-20deg);

}

.hero__container::after {
  transform: skewX(30deg);
  left:calc(50% + 444px);
}


.hero__content {
  flex: 0 1 50%;

}
.content-hero {
  display: grid;
  align-content: start;
  gap: 30px;
  position: relative;
  z-index: 2;
}

@media ( min-width: 1200px) {
  .content-hero {
    padding-right: 20px;
  }
}

@media (min-width: 479.98px) {
  .content-hero {
    justify-items: start;
  }
}

.content_title {
  font-size: 76px;
  font-weight: 800;
  color: #181E4B;
  letter-spacing: -4px;
  line-height: 117.105263%; /* 89/76 */
}
@media (max-width: 991.98px) {
	.content__title {
		font-size: 55px;
	}
}
@media (max-width: 479.98px) {
	.content__title {
		font-size: 42px;
	}
}
.content_title a {
  color: #4475f2;
  text-decoration:underline;
  text-shadow: 0px 0px 8px #fff;
}
.content_title a:hover {
  text-decoration: none;
}
.content-hero__text {
}

.content-hero__text p {
  line-height: 187.5%; /* 30/16 */
}
.content-hero__button {
  text-align: center;
  box-shadow: 0 30px 60px 0 rgba(68,117,242,.25);
  border-radius: 10px 10px 10px 10px;
  background-color: #4475F2;
  color: #fff;
  padding:18px 54px ;
  font-weight: 700;
  list-style: 156.25%; /* 25/16 */
  position: relative;
  top: 0;
  transition: 0.3s;
}


@media(hover:hover) {
  .content-hero__button:hover{
    top: 3px;
    box-shadow: 0 30px 60px 0 rgba(68,117,242,0.5);
  }
}
  @media(hover:none) {
    .content-hero__button:active{
      background-color:rgb(39, 63, 124);
    }
}

.hero__images {
  flex: 0 1 50%;
}
.images-hero {
  position: relative;
  z-index: 2;
  display: grid;
  grid-template-columns: repeat(3 ,1fr);
  grid-template-rows: repeat(2 , 1fr);
  gap: 27px;
}

.images-hero__item {
}
.images-hero__image {
  border-radius: 10px;
  max-width: 100%;
  box-shadow: 0 15px 30px 0 rgba(0,0,0,.25);
}

.images-hero__image:hover {
  transform: scale(1.1);
  transition: 0.4s;
}

.images-hero__item--01 {
  grid-row: span 2;
  align-self: end;
  padding-bottom: 10px;
}
.images-hero__item--02 {
}
.images-hero__item--03 {
  justify-self: end;
  align-self: center;
  grid-row: span 2;
  padding-bottom: 10px;
}
.images-hero__item--04 {
  align-self: end;
  justify-self: end;
}

@media(max-width: 1200px) {
  .images-hero {
    align-self: center;
  }
}



  /* Fatures*/

  .features {
  }
  .features__container {
  }
  .features__header-block {
    opacity: 0;
    transform: translate(0px, 50%);
    transition: all 0.1s;
  }

 

  .header-block {
  }
  .header-block__label {

  }
  .header-block__title {
 
  }
  .features__items {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
  }
  .features__item {
    flex: 0 1 280px;
    display: grid;
    gap: 10px;
    justify-items: center;
    text-align: center;
    opacity: 0;
    transform: scale(0);
    transition: all 0.2s;
  }


 
  .features__icon {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    background-color: #4475F2;
    box-shadow: 0 30px 60px 0 rgba(71,74,87,.25);
    height: 100px;
    width: 100px;
  }
  @media(hover:hover) {
  .features__icon:hover {
    cursor: pointer;
    transform: scale(1.1);
    transition: 0.4s;
    box-shadow: 0 30px 60px 0 rgba(68,117,242,0.5);
  }
}
  @media(hover:none) {
  .features__icon:active {
    background-color:rgb(39, 63, 124);
  }
}
  .features__title {
    color: #000;
    font-weight: 700;
    font-style: 24px;
  }
  .features__text {
    line-height: 187.5%; /* 30/16 */
  }
  @media (max-width: 991px) {
    .features__item {
      flex-grow: 1;
    }
  }
  @media (max-width: 610px) {
    .features__items {
      justify-content: center;
   }
  }

  .--animate .features__header-block {
    opacity: 1;
    transform: translate(0px, 0);
    transition: all 0.8s;
   }


  .--animate .features__item {
      opacity: 1;
       transition: all 0.8s;
      transform: scale(1);
    }

  .--animate .features__item:nth-child(1) {
    transition-delay: 0.2s;
  }
  .--animate .features__item:nth-child(2) {
    transition-delay: 0.4s;
  }
  .--animate .features__item:nth-child(3) {
    transition-delay: 0.6s;
  }
 /* services */


.services {
}
.services__container {
}
.services__header-block {
  opacity: 0;
  transform: translate(0px, 50%);
  transition: all 0.1s;
}
.services__items {
  display: grid;
  gap: 140px;
}

@media (max-width: 1200px) {
  .services__items{
    gap: 100px;
  }
}
@media (max-width: 991.98px) {
  .services__items{
    gap: 70px;
  }
}
@media (max-width: 767.98px) {
  .services__items{
    gap: 40px;
  }
}

.services__item {
  display: flex;
  gap: 30px;
  flex-wrap: wrap;
    opacity: 0;
    transform: scale(0);
    transition: all 0.2s;
}

.services__content {
  flex: 1 1 250px;
}
.services__title {
  color: #000;
  font-size: 32px;
  font-weight: 500;
  line-height: 125%; /* 40/32 */
}
.services__title:not(:last-child){
  margin-bottom: 40px;
}

.services__title span {
  color: #4475f2;
}
.services__text {
}
.services__text p {
  line-height: 187.5%; /* 30/16 */
}
.services__text p:not(:last-child) {
  margin-bottom: 15px;
}
.services__picture{
  border-radius: 10px 10px 10px 10px;
  box-shadow: 0 30px 60px 0 rgba(71, 74, 87, 0.25);
  max-width: 100%;
}
@media (min-width:768px) {
  .services__body {
    max-width: 420px;
  }
  .services__item {
    align-items: flex-start;
  }
  .services__item:nth-child(odd) {
    flex-direction: row-reverse; 
  }
  .services__item:nth-child(odd) .services__body {
    margin: 0 0 0 auto;
  }
  .services__image {
    flex: 1 1 250px;
  }
}
@media (max-width:767.98px){
  .services__item {
    flex-direction: column;
  }
  .services__image {
    text-align: center;
  }
  .services__title {
    font-size: 28px;
  }
  .services__title:not(:last-child){
    margin-bottom: 20px;
  }
}


  .--animate .services__header-block {
    opacity: 1;
    transform: translate(0px, 0);
    transition: all 1s;
   }

  .--animate .services__item {
      opacity: 1;
       transition: all 1s;
      transform: scale(1);
    }
    
    
/* reviews__section */

.reviews {
}
.reviews__container {
}
.reviews__header-block {
  opacity: 0;
  transform: translate(0px, 50%);
  transition: all 0.1s;
}
.reviews__body {
}
.reviews__items {
  display: flex;
  gap: 50px;
  flex-wrap: wrap;
}
.reviews__item {
  flex: 1 1 280px;
  border: 1px solid #dedede;
  padding: 40px;
  display: grid;
  align-content: start;
  text-align: center;
  justify-items: center;
  box-shadow: 0 2.767256498336792px 2.2138051986694336px 0 rgba(0,0,0,0.02),
  0 6.650102138519287px 5.32008171081543px 0 rgba(0,0,0,0.03),
  0 12.521552085876465px 10.017241477966309px 0 rgba(0,0,0,0.04),
  0 22.3363094329834px 17.869047164916992px 0 rgba(0,0,0,0.04),0 41.777610778808594px 33.422088623046875px 0 rgba(0,0,0,0.05)
  ,0 100px 80px 0 rgba(0,0,0,0.07);
    opacity: 0;
    transform: translate(0px, 50%);
    transition: all 0.2s;
}
.reviews__item > *{
  margin-bottom: 15px;
}

@media(hover:hover) {
  .reviews__item:hover {
    transform: scale(1.1);
    transition: 0.2s;
    box-shadow: 0 30px 60px 0 rgba(68,117,242,0.5);
  }
}
  @media(hover:none) {
    .reviews__item:active {
    box-shadow: 0 30px 60px 0 rgba(68,117,242,0.5);
  }
}

  .--animate .reviews__header-block {
    opacity: 1;
    transform: translate(0px, 0);
    transition: all 0.8s;
   }


  .--animate .reviews__item{
      opacity: 1;
      transform: translate(0px, 0);
       transition: all 0.8s;
    }



.reviews__link-avatar {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 30px;
}
.review__avatar {
  margin-bottom: 30px;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.reviews__text {
  margin-bottom: 25px;
}
.reviews__text p {
  line-height: 187.5%; /* 30/16 */
}
.reviews__text p:not(:last-child) {
  margin-bottom: 10px;
}
.reviews__title {

}
.reviews__link-title {
  color: #23A6F0;
  line-height: 187.5%; /* 30/16 */
}

.reviews__link-title:hover {
  text-decoration: underline;
  
}
.reviews__position {
  font-weight: 500;
  color: #181e4b;
}
.reviews__item > *:last-child {
  margin-bottom: 0px;
}

/* location__section */


.location {
}
.location__container {
}
.location__header-block {
   opacity: 0;
  transform: translate(0px, 50%);
  transition: all 0.1s;
}
.location__map {
  width: 100%;
  box-shadow: 0 30px 60px 0 rgba(71,74,87,0.25);
  height: 405px;
}

.--animate .location__header-block { 
  opacity: 1;
  transform: translate(0px, 0);
  transition: all 0.8s;
}


/* footer__section */
.footer {
}
.footer__body {
  margin-bottom: 95px;
}
.footer__container {
  display: flex;
  column-gap: 100px;
  row-gap: 30px;
  flex-wrap: wrap;
  justify-content: center;
}
.footer__item {
  text-align: center;
  display: flex;
  flex-direction: column;
}
.footer__title {
  color: #000;
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 25px;
}
.footer__logo {
  max-width: 248px;
}
.footer__social {
}
.social {
  display: flex;
  flex-wrap: wrap;
  gap: 17px;
  height: 93px;
  align-items: center;
}
.social__item {
}
.footer__link {
  height: 93px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: 20px;
  color: #000
}
.footer__link:hover {
  text-decoration: underline;
}

.footer__copy {
  text-align: center;
  color: #fff;
  background-color: #4475F2;
  padding-top: 50px;
  padding-bottom: 50px;
  padding-left: 15px;
  padding-right: 15px;
}

@media (max-width: 1200px){
  .footer__body {
    margin-bottom: 70px;
  }
}
@media (max-width: 991.98px){
  .footer__body {
    margin-bottom: 50px;
  }
}
@media (max-width: 767.98px){
  .footer__body {
    margin-bottom: 30px;
  }
}


